# Ergo Dox

Guide for Ergo Dox keyboard.

## Rules to create the perfect layout

- Built on top of Dvorak layout
- Easy to typing keys : space, enter
- Fish : ctrl + f and alt + f or -> and alt + ->
- Vim : escape or ctrl + c
- Minimize transition between regular keyboard and ergodox

## Revisions

### Ergo Dox original

No programming Dvorak

### Revision BNEyQ

Pros :
- # is pretty easy to strike
- escape for vim is easy to strike
- ctrl + f for fish is easy to strike
- ctrl + l for terminal is easy to reach
- left ctrl is ok
- menu key is ok

Cons :
- shortcut for terminal does'nt work very well
- backspace is not very handy
- can hit fkey by mistake
- switching tab is not very handy
- underscore doesn't work with capslock

Ideas to improve :
- move escape on the right index finger delete upper key
- put accent layer under thumb
- put delete key on left upper key
- swap alt and windows keys
- modify caps behavior to access shift layer

Modifications done :
- Add french accents, simple shift keys. Swap alt and command. Move function, backslash. Improve caps.

### Revision EWYm5

Pros :
- fix some previous errors
- more similar with classic keyboard (ctrl and alt keys)
- escape key is ok

Cons :
- shortcut alt + $ doesn't work for switching windows from same app
- some accents are not easily reachable like ç and ê
- accents are not easy to reach
- space key is not reachable when typing numbers

Ideas to improve :
- add luminosity buttons (and other buttons like volume)

